\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{ME3E course, deflections in planar frames, exercise}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

The examples on the thermal and support settlement effects 
complement sections 5, 6 and 7 of the lecture notes
'deflections in plane frames' (the Notes forthwith)
on the course web page. They
should substitute classes of the present 4th week of the semester.
The examples of this week exercise and homework use concepts and notation
of the cited parts of the Notes so refer first to the Notes
when you are at loss with the examples.
Questions concerning the stuff, address please to
'petr.rericha@fsv.cvut.cz'. HW 4 should be delivered at the same address
by the next tuesday, March, 16th. 
\section{Decomposition of internal forces diagrams for virtual work
integration}
The issue is demonstrated on the bending moment diagram in the
central part of the frame:
\\
\insFigUp{decompM.pdf}{0.8\textwidth}
\\
The actual $M$ and $\delta M$ diagrams are decomposed in simple shapes
contained in table 2 of the lecture notes. 3x2 partial simple integrals
are then evaluated with the aid of the table factors: 
\[ v_c= \int \kappa M \dd x= 
-{1\over 3}12.5\cdot5+{2\over 3}12.5\cdot2.5+{1\over 3}6.25\cdot5-
{1\over 2}6.25\cdot2.5+{1\over 6}18.75\cdot 5 -{1\over 2} 18.75\cdot 2.5=
-5.2\]
Total deflection $v$ includes contribution from the legs
\[ v= v_c+ 2\cdot{2\over 3}2.5\cdot6.25\cdot 5= 47  \]
The decomposition can be used for the integration of any work.

\section{Deflection of a frame owing to temperature change}
A simple frame is subject to the homogeneus temperature change $t$
(left) and to the temperature gradient $\Delta t$.
In the first case, the deflection can be determined by geometric
\\
\insFigUp{temp.pdf}{0.8\textwidth}
\\
consideration. The elongation of the skew leg is 
$\Delta l= \alpha t l= 5\alpha t$. Its vertical component is
$\Delta l 0.8=4\alpha t$ and $v= -4\alpha t$. By the PVW (PVf) it is
\[ v= \int \bar \varepsilon \delta N \dd x= \int \alpha t \delta N \dd x=
 \alpha t (-0.8) 5=-4\alpha t. \]
In the right load case, the temperature gradient load, 
a simple geometric construction is not available but PVW is
always applicable.
\[v= \int \kappa_{\Delta t} \delta M \dd x= -{\alpha t \over d}
  (-{1\over 2}\cdot 3\cdot 5 +{1\over 2}\cdot 2\cdot 4)=
 3.5{\alpha t\over h} \]
Another frame is solved for those two kinds of thermal load:
\\
\insFigUp{temp2.pdf}{0.8\textwidth}
\\
For the effect of homogeneous $t$ in the right link, load case~1, just the
normal force in that link is necessary in the virtual load case:
\[ v= \int \bar\varepsilon_t \delta N \dd x= 20\cdot \alpha t \cdot
 (-1.33)\cdot 1=-20.66\alpha \]
Deflection $v$ in load case 2 is:
\[ v= \int \kappa \delta M \dd x= \int {\Delta t \alpha \over h}
\delta M \dd x= {1\over 2} 20 \alpha / 0.1\cdot 1.33\cdot 5=
 6.66 \]


\section{Settlement of supports (kinematic load, imposed displacements)}
Relative rotation $\alpha$ of the two parts of the frame at the hinge,
and horizontal displacement $u$ of the right tip are computed in the
frame owing to the horizontal slide $s$ of support B. Note that
the force conjugate to \emph{relative} rotation of two parts of
a structure is a pair of moments (couples).
\\
\insFigUp{settlement.pdf}{1.0\textwidth}
\[ \delta 1 \alpha + 0.2 s=0, ~~~\alpha= -0.2 \]
\[  \delta 1 u -0.5 s =0,~~~u=0.5s \]

\section{Homework 4}
Compute deflections $v$ and $\alpha$ for both load cases indicated 
in the sketch. Assume variable thermal expansion factor $\alpha_t$ :
\\
\insFigUp{hw4-20.pdf}{\textwidth}

\newpage
HW4 solution:
\\ Virtual load cases:
\\
\insFigUp{hw4-sol.pdf}{\textwidth}
\\
LC1, homogeneous temperature change $t$ everywhere:
\\Thermal expansion coefficient is denoted $\alpha_t$ instead of $\alpha$
to distiguish it from the angle $\alpha$.
\[v=t\alpha_t (1.25\cdot 5+0.75\cdot 5)= 10t\alpha_t \]
\[\alpha=t\alpha_t (0.4166\cdot 5+0.25\cdot 5)= 3.33t\alpha_t \]
\\ LC2, support settlement, rotation $1$ at support B:
\[ \delta w= \delta 1 v-3\cdot0.1=0~~ \Rightarrow~~v=0.3 \]
\[  \delta w= \delta 1 \alpha -1\cdot 0.1=00~~ \Rightarrow~~\alpha=0.1\]







\end{document}
